/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ScavTrap.hpp                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/27 12:29:17 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/29 15:25:47 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include "ClapTrap.hpp"

class	ScavTrap : public ClapTrap {
	public:
		ScavTrap(void);
		ScavTrap(std::string);
		ScavTrap(const ScavTrap &);
		~ScavTrap(void);
		ScavTrap &operator=(const ScavTrap &);

		void	guardGate(void);
		void	attack(const std::string &);
};

void		logScav(std::string, std::string);
void		logScav(std::string, std::string, std::string);
